Bug 167394 - kernel debug message on resume from suspend
kernel debug message on resume from suspend
Status: CLOSED DUPLICATE of bug 154046
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks: FCMETA_ACPI
  Show dependency treegraph
 
Reported: 2005-09-02 06:25 EDT by Richard Kennedy
Modified: 2015-01-04 17:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-06 16:22:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Kennedy 2005-09-02 06:25:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-GB; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
JVC Mininote XP7230 Laptop
On resume from suspend to memory the follow kernel debug message is seen

Sep  2 10:42:15 localhost kernel: Debug: sleeping function called from invalid c ontext at mm/slab.c:2126


Version-Release number of selected component (if applicable):
kernel 2.6.12-1.1398_FC4

How reproducible:
Always

Steps to Reproduce:
1. suspend to memory, after unloading usb & wlan modules and going to text mode
2. restart laptop
3. debug error messages seen
4. laptop usually restarts correctly, but sometimes hangs

Actual Results:  Sep  2 10:42:15 localhost kernel: Debug: sleeping function called from invalid c ontext at mm/slab.c:2126
Sep  2 10:42:15 localhost kernel: in_atomic():0, irqs_disabled():1
Sep  2 10:42:15 localhost kernel:  [<c015c376>] kmem_cache_alloc+0x3c/0x49
Sep  2 10:42:15 localhost kernel:  [<c0248562>] acpi_pci_link_set+0x3f/0x17f
Sep  2 10:42:15 localhost kernel:  [<c02489ac>] irqrouter_resume+0x14/0x28
Sep  2 10:42:15 localhost kernel:  [<c0287c5e>] sysdev_resume+0x3d/0xb5
Sep  2 10:42:15 localhost kernel:  [<c028bd57>] device_power_up+0x5/0xa
Sep  2 10:42:15 localhost kernel:  [<c014a8cb>] suspend_enter+0x44/0x46
Sep  2 10:42:15 localhost kernel:  [<c014a859>] suspend_prepare+0x57/0x85
Sep  2 10:42:15 localhost kernel:  [<c014a93e>] enter_state+0x49/0x54
Sep  2 10:42:15 localhost kernel:  [<c014aa39>] state_store+0x81/0x8f
Sep  2 10:42:15 localhost NetworkManager: <WARNING>       (): nm_device_set_enc_ key(): error setting key for device wlan0.  errno = 19
Sep  2 10:42:15 localhost kernel:  [<c014a9b8>] state_store+0x0/0x8f
Sep  2 10:42:15 localhost NetworkManager: <WARNING>       (): nm_device_get_mode  (wlan0): error getting card mode.  errno = 19
Sep  2 10:42:15 localhost kernel:  [<c01ce194>] subsys_attr_store+0x1b/0x1f
Sep  2 10:42:15 localhost NetworkManager: <WARNING>       (): nm_device_set_mode  (wlan0): error setting card to Infrastructure mode.  errno = 19
Sep  2 10:42:15 localhost gpm[2232]: *** info [mice.c(1766)]:
Sep  2 10:42:15 localhost kernel:  [<c01ce39d>] flush_write_buffer+0x22/0x28
Sep  2 10:42:15 localhost gpm[2232]: imps2: Auto-detected intellimouse PS/2
Sep  2 10:42:15 localhost kernel:  [<c01ce3ec>] sysfs_write_file+0x49/0x6e
Sep  2 10:42:15 localhost kernel:  [<c01ce3a3>] sysfs_write_file+0x0/0x6e
Sep  2 10:42:15 localhost kernel:  [<c017b9e4>] vfs_write+0x9e/0x110
Sep  2 10:42:15 localhost kernel:  [<c017bb01>] sys_write+0x41/0x6a
Sep  2 10:42:15 localhost kernel:  [<c0103a51>] syscall_call+0x7/0xb
Sep  2 10:42:15 localhost kernel: eth0: Media Link Off


Additional info:
Comment 1 petrosyan 2005-09-03 12:50:52 EDT
update to the latest errata kernel-2.6.12-1.1447_FC4
Comment 2 Richard Kennedy 2005-09-07 16:43:14 EDT
(In reply to comment #1)
> update to the latest errata kernel-2.6.12-1.1447_FC4

ACPI seems broken on this laptop with kernel 1447_FC4 (see bug 166816 - no
events or bat stats) - I don't think the results I'd get will be useful until
acpi gets fixed. So , I'll wait for a later kernel, and retry.
Comment 3 Dave Jones 2005-09-23 21:33:23 EDT
any improvement with yesterdays errata  -1.1456  ?

There's also a more 'bleeding edge' testing update available at
http://people.redhat.com/davej/kernels/Fedora/FC4/
Comment 4 Richard Kennedy 2005-09-24 09:57:41 EDT
Yes - a definite improvement with -1.1456 - I'm no longer getting the debug
messages on wake-up. 
I am getting two missed irq message on sleep.( details below )
yenta_socket & snd_trident

I'm still not getting acpi events consistently - battstat gets stuck at 0%, no
hotkey events and sometimes the ac plug/uplug event missed. Even cat BAT0/state
is very slow i.e. time cat /proc/acpi/battery/BAT0/state gives
r=0.058,u=0,s=0.026 with 1398
r=1.016,u=0,s=0.013 with 1456

I'll give your latest bleeding edge a try, if I'm still seeing event problems
I'll report a new bug, as bug 166816 has now been closed.

==== message log ======
Sep 24 14:12:54 localhost kernel: irq 11: nobody cared!
Sep 24 14:12:54 localhost kernel:  [<c0151e74>] __report_bad_irq+0x24/0x7f
Sep 24 14:12:54 localhost kernel:  [<d79a57fb>] yenta_interrupt+0xa/0x23
[yenta_socket]
Sep 24 14:12:54 localhost kernel:  [<c0151f46>] note_interrupt+0x59/0x83
Sep 24 14:12:54 localhost kernel:  [<c0151220>] __do_IRQ+0x1f7/0x347
Sep 24 14:12:54 localhost kernel:  [<c0105b2d>] do_IRQ+0x4a/0x82
Sep 24 14:12:54 localhost kernel:  =======================
Sep 24 14:12:54 localhost kernel:  [<c012d8a5>] process_timeout+0x0/0x5
Sep 24 14:12:54 localhost kernel:  [<c0103c1e>] common_interrupt+0x1a/0x20
Sep 24 14:12:54 localhost kernel:  [<c01286ec>] __do_softirq+0x2c/0x8a
Sep 24 14:12:54 localhost kernel:  [<c0105c39>] do_softirq+0x3e/0x42
Sep 24 14:12:54 localhost kernel:  =======================
Sep 24 14:12:54 localhost kernel:  [<c0105b34>] do_IRQ+0x51/0x82
Sep 24 14:12:54 localhost kernel:  [<c017fe3d>] __bread+0x10/0x2a
Sep 24 14:12:54 localhost kernel:  [<c0103c1e>] common_interrupt+0x1a/0x20
Sep 24 14:12:54 localhost kernel:  [<c02fc112>] pci_conf1_write+0xcd/0x1c8
Sep 24 14:12:54 localhost kernel:  [<c0153012>] find_get_page+0x9/0x24
Sep 24 14:12:54 localhost kernel:  [<c017de59>] __find_get_block_slow+0x9a/0x25c
Sep 24 14:12:54 localhost kernel:  [<c017fd8b>] __find_get_block+0xb4/0xcb
Sep 24 14:12:54 localhost kernel:  [<c017fc98>] bh_lru_install+0x8d/0xcc
Sep 24 14:12:54 localhost kernel:  [<c0230b33>]
acpi_os_write_pci_configuration+0x65/0x7a
Sep 24 14:12:54 localhost kernel:  [<c023acdb>]
acpi_ex_pci_config_space_handler+0x0/0x61
Sep 24 14:12:54 localhost kernel:  [<c0234724>]
acpi_ev_address_space_dispatch+0xb6/0x115
Sep 24 14:12:54 localhost kernel:  [<c02381c9>] acpi_ex_access_region+0x45/0x8e
Sep 24 14:12:54 localhost kernel:  [<c023833e>] acpi_ex_field_datum_io+0xfc/0x18b
Sep 24 14:12:54 localhost kernel:  [<c02384b6>]
acpi_ex_write_with_update_rule+0xe9/0xf2
Sep 24 14:12:54 localhost kernel:  [<c0238918>]
acpi_ex_insert_into_field+0x24a/0x25a
Sep 24 14:12:54 localhost kernel:  [<c02371b0>]
acpi_ex_write_data_to_field+0x1e6/0x216
Sep 24 14:12:54 localhost gpm[2616]: *** info [mice.c(1766)]: 
Sep 24 14:12:54 localhost kernel:  [<c023affd>]
acpi_ex_store_object_to_node+0x72/0xad
Sep 24 14:12:54 localhost gpm[2616]: imps2: Auto-detected intellimouse PS/2
Sep 24 14:12:54 localhost kernel:  [<c02456b9>]
acpi_ut_allocate_object_desc_dbg+0x13/0x49
Sep 24 14:12:54 localhost kernel:  [<c023ae79>] acpi_ex_store+0x8e/0xf1
Sep 24 14:12:54 localhost kernel:  [<c023a908>] acpi_ex_opcode_2A_1T_1R+0x2d2/0x353
Sep 24 14:12:54 localhost kernel:  [<c023270c>] acpi_ds_exec_end_op+0xa0/0x31c
Sep 24 14:12:54 localhost kernel:  [<c023fa24>] acpi_ps_parse_loop+0x4e8/0x7b8
Sep 24 14:12:54 localhost kernel:  [<c023f3d1>] acpi_ps_parse_aml+0x45/0x1b0
Sep 24 14:12:54 localhost kernel:  [<c0240142>] acpi_ps_execute_pass+0x6b/0x7d
Sep 24 14:12:54 localhost kernel:  [<c024007f>] acpi_ps_execute_method+0x43/0x6b
Sep 24 14:12:54 localhost kernel:  [<c023da5a>]
acpi_ns_execute_control_method+0x42/0x4e
Sep 24 14:12:54 localhost kernel:  [<c023d9fc>] acpi_ns_evaluate_by_handle+0x6f/0x8b
Sep 24 14:12:54 localhost kernel:  [<c023d903>] acpi_ns_evaluate_relative+0xa7/0xc7
Sep 24 14:12:54 localhost kernel:  [<c0243ba9>] acpi_ut_evaluate_object+0x26/0x118
Sep 24 14:12:54 localhost kernel:  [<c024a484>] acpi_pci_link_free_irq+0x6c/0x85
Sep 24 14:12:54 localhost kernel:  [<c024ae6a>] acpi_pci_irq_lookup+0x29/0x30
Sep 24 14:12:54 localhost kernel:  [<c024b132>] acpi_pci_irq_disable+0x73/0xbd
Sep 24 14:12:54 localhost kernel:  [<c024ae2f>] acpi_pci_free_irq+0x0/0x12
Sep 24 14:12:54 localhost kernel:  [<c02fdbae>] pcibios_disable_device+0xc/0xe
Sep 24 14:12:54 localhost kernel:  [<c021a304>] pci_disable_device+0x57/0x63
Sep 24 14:12:54 localhost kernel:  [<d79a72a8>] yenta_dev_suspend+0x6e/0x84
[yenta_socket]
Sep 24 14:12:54 localhost kernel:  [<c021c339>] pci_device_suspend+0x13/0x23
Sep 24 14:12:54 localhost kernel:  [<c028df20>] suspend_device+0x98/0xa0
Sep 24 14:12:54 localhost kernel:  [<c028dfe6>] device_suspend+0xbe/0x17d
Sep 24 14:12:54 localhost kernel:  [<c014acb5>] suspend_prepare+0x63/0xc1
Sep 24 14:12:54 localhost kernel:  [<c014adb0>] enter_state+0x2b/0x54
Sep 24 14:12:54 localhost kernel:  [<c014aec9>] state_store+0x81/0x8f
Sep 24 14:12:54 localhost kernel:  [<c014ae48>] state_store+0x0/0x8f
Sep 24 14:12:54 localhost kernel:  [<c01cec94>] subsys_attr_store+0x1b/0x1f
Sep 24 14:12:54 localhost kernel:  [<c01cee9d>] flush_write_buffer+0x22/0x28
Sep 24 14:12:54 localhost kernel:  [<c01ceeec>] sysfs_write_file+0x49/0x6e
Sep 24 14:12:54 localhost kernel:  [<c01ceea3>] sysfs_write_file+0x0/0x6e
Sep 24 14:12:54 localhost kernel:  [<c017c154>] vfs_write+0x9e/0x110
Sep 24 14:12:54 localhost kernel:  [<c017c271>] sys_write+0x41/0x6a
Sep 24 14:12:54 localhost kernel:  [<c0103a61>] syscall_call+0x7/0xb
Sep 24 14:12:54 localhost kernel: handlers:
Sep 24 14:12:54 localhost kernel: [<d79a57f1>] (yenta_interrupt+0x0/0x23
[yenta_socket])
Sep 24 14:12:54 localhost kernel: Disabling IRQ #11
Sep 24 14:12:54 localhost kernel: ACPI: PCI interrupt for device 0000:00:09.0
disabled
Sep 24 14:12:54 localhost kernel: irq 7: nobody cared!
Sep 24 14:12:54 localhost kernel:  [<c0151e74>] __report_bad_irq+0x24/0x7f
Sep 24 14:12:54 localhost kernel:  [<c0151f46>] note_interrupt+0x59/0x83
Sep 24 14:12:54 localhost kernel:  [<c0151220>] __do_IRQ+0x1f7/0x347
Sep 24 14:12:54 localhost kernel:  [<c0105b2d>] do_IRQ+0x4a/0x82
Sep 24 14:12:54 localhost kernel:  =======================
Sep 24 14:12:54 localhost kernel:  [<c0103c1e>] common_interrupt+0x1a/0x20
Sep 24 14:12:54 localhost kernel:  [<c01286ec>] __do_softirq+0x2c/0x8a
Sep 24 14:12:54 localhost kernel:  [<c0105c39>] do_softirq+0x3e/0x42
Sep 24 14:12:54 localhost kernel:  =======================
Sep 24 14:12:54 localhost kernel:  [<c0105b34>] do_IRQ+0x51/0x82
Sep 24 14:12:54 localhost kernel:  [<c0105b34>] do_IRQ+0x51/0x82
Sep 24 14:12:54 localhost kernel:  [<c0103c1e>] common_interrupt+0x1a/0x20
Sep 24 14:12:54 localhost kernel:  [<c02fc112>] pci_conf1_write+0xcd/0x1c8
Sep 24 14:12:54 localhost kernel:  [<c0153012>] find_get_page+0x9/0x24
Sep 24 14:12:54 localhost kernel:  [<c017de59>] __find_get_block_slow+0x9a/0x25c
Sep 24 14:12:54 localhost kernel:  [<c017fd8b>] __find_get_block+0xb4/0xcb
Sep 24 14:12:54 localhost kernel:  [<c017fc98>] bh_lru_install+0x8d/0xcc
Sep 24 14:12:54 localhost kernel:  [<c0230b33>]
acpi_os_write_pci_configuration+0x65/0x7a
Sep 24 14:12:54 localhost kernel:  [<c023acdb>]
acpi_ex_pci_config_space_handler+0x0/0x61
Sep 24 14:12:54 localhost kernel:  [<c0234724>]
acpi_ev_address_space_dispatch+0xb6/0x115
Sep 24 14:12:54 localhost kernel:  [<c02381c9>] acpi_ex_access_region+0x45/0x8e
Sep 24 14:12:54 localhost kernel:  [<c023833e>] acpi_ex_field_datum_io+0xfc/0x18b
Sep 24 14:12:54 localhost kernel:  [<c02384b6>]
acpi_ex_write_with_update_rule+0xe9/0xf2
Sep 24 14:12:54 localhost kernel:  [<c0238918>]
acpi_ex_insert_into_field+0x24a/0x25a
Sep 24 14:12:54 localhost kernel:  [<c02371b0>]
acpi_ex_write_data_to_field+0x1e6/0x216
Sep 24 14:12:54 localhost kernel:  [<c023affd>]
acpi_ex_store_object_to_node+0x72/0xad
Sep 24 14:12:54 localhost kernel:  [<c02456b9>]
acpi_ut_allocate_object_desc_dbg+0x13/0x49
Sep 24 14:12:54 localhost kernel:  [<c023ae79>] acpi_ex_store+0x8e/0xf1
Sep 24 14:12:54 localhost kernel:  [<c023a908>] acpi_ex_opcode_2A_1T_1R+0x2d2/0x353
Sep 24 14:12:54 localhost kernel:  [<c023270c>] acpi_ds_exec_end_op+0xa0/0x31c
Sep 24 14:12:54 localhost kernel:  [<c023fa24>] acpi_ps_parse_loop+0x4e8/0x7b8
Sep 24 14:12:54 localhost kernel:  [<c023f3d1>] acpi_ps_parse_aml+0x45/0x1b0
Sep 24 14:12:54 localhost kernel:  [<c0240142>] acpi_ps_execute_pass+0x6b/0x7d
Sep 24 14:12:54 localhost kernel:  [<c024007f>] acpi_ps_execute_method+0x43/0x6b
Sep 24 14:12:54 localhost kernel:  [<c023da5a>]
acpi_ns_execute_control_method+0x42/0x4e
Sep 24 14:12:54 localhost kernel:  [<c023d9fc>] acpi_ns_evaluate_by_handle+0x6f/0x8b
Sep 24 14:12:54 localhost kernel:  [<c023d903>] acpi_ns_evaluate_relative+0xa7/0xc7
Sep 24 14:12:54 localhost kernel:  [<c0243ba9>] acpi_ut_evaluate_object+0x26/0x118
Sep 24 14:12:54 localhost kernel:  [<c024a484>] acpi_pci_link_free_irq+0x6c/0x85
Sep 24 14:12:54 localhost kernel:  [<c024ae6a>] acpi_pci_irq_lookup+0x29/0x30
Sep 24 14:12:54 localhost kernel:  [<c024b132>] acpi_pci_irq_disable+0x73/0xbd
Sep 24 14:12:54 localhost kernel:  [<c024ae2f>] acpi_pci_free_irq+0x0/0x12
Sep 24 14:12:54 localhost kernel:  [<c02fdbae>] pcibios_disable_device+0xc/0xe
Sep 24 14:12:54 localhost kernel:  [<c021a304>] pci_disable_device+0x57/0x63
Sep 24 14:12:54 localhost kernel:  [<d796fa05>] snd_trident_suspend+0x5c/0x60
[snd_trident]
Sep 24 14:12:54 localhost kernel:  [<d789cb90>] snd_card_pci_suspend+0x31/0x74 [snd]
Sep 24 14:12:54 localhost kernel:  [<c021c339>] pci_device_suspend+0x13/0x23
Sep 24 14:12:54 localhost kernel:  [<c028df20>] suspend_device+0x98/0xa0
Sep 24 14:12:54 localhost kernel:  [<c028dfe6>] device_suspend+0xbe/0x17d
Sep 24 14:12:54 localhost kernel:  [<c014acb5>] suspend_prepare+0x63/0xc1
Sep 24 14:12:54 localhost kernel:  [<c014adb0>] enter_state+0x2b/0x54
Sep 24 14:12:54 localhost kernel:  [<c014aec9>] state_store+0x81/0x8f
Sep 24 14:12:54 localhost kernel:  [<c014ae48>] state_store+0x0/0x8f
Sep 24 14:12:54 localhost kernel:  [<c01cec94>] subsys_attr_store+0x1b/0x1f
Sep 24 14:12:54 localhost kernel:  [<c01cee9d>] flush_write_buffer+0x22/0x28
Sep 24 14:12:54 localhost kernel:  [<c01ceeec>] sysfs_write_file+0x49/0x6e
Sep 24 14:12:54 localhost kernel:  [<c01ceea3>] sysfs_write_file+0x0/0x6e
Sep 24 14:12:54 localhost kernel:  [<c017c154>] vfs_write+0x9e/0x110
Sep 24 14:12:54 localhost kernel:  [<c017c271>] sys_write+0x41/0x6a
Sep 24 14:12:54 localhost kernel:  [<c0103a61>] syscall_call+0x7/0xb
Sep 24 14:12:54 localhost kernel: handlers:
Sep 24 14:12:55 localhost kernel: [<d796ed5c>] (snd_trident_interrupt+0x0/0x4b7
[snd_trident])
Sep 24 14:12:55 localhost kernel: Disabling IRQ #7
Sep 24 14:12:55 localhost kernel: ACPI: PCI interrupt for device 0000:00:01.4
disabled
Sep 24 14:12:55 localhost kernel: ACPI: 1 drivers with interrupt 5 neglected to
call pci_disable_device at .suspend
Sep 24 14:12:55 localhost kernel: ACPI: Fix the driver, or rmmod before suspend
Sep 24 14:12:55 localhost kernel: ACPI: 1 drivers with interrupt 4 neglected to
call pci_disable_device at .suspend
Sep 24 14:12:55 localhost kernel: ACPI: Fix the driver, or rmmod before suspend

Comment 5 Richard Kennedy 2005-09-24 11:11:36 EDT
with davej 2.6.13-1.1525
all events & batstat working correctly :)
no messages form yenta or snd_trident on suspend

the debug message on resume is back :(

Sep 24 15:46:30 localhost kernel: Debug: sleeping function called from invalid
context at mm/slab.c:2129
Sep 24 15:46:30 localhost kernel: in_atomic():0, irqs_disabled():1
Sep 24 15:46:30 localhost kernel:  [<c0176923>] kmem_cache_alloc+0x3c/0x4e
Sep 24 15:46:30 localhost kernel:  [<c029928a>] acpi_pci_link_set+0x3f/0x17f
Sep 24 15:46:30 localhost kernel:  [<c02997f2>] irqrouter_resume+0x1e/0x3c
Sep 24 15:46:30 localhost kernel:  [<c02e790d>] sysdev_resume+0x3d/0xb5
Sep 24 15:46:30 localhost gpm[1873]: *** info [mice.c(1766)]: 
Sep 24 15:46:31 localhost kernel:  [<c02ec241>] device_power_up+0x5/0xa
Sep 24 15:46:31 localhost gpm[1873]: imps2: Auto-detected intellimouse PS/2
Sep 24 15:46:31 localhost kernel:  [<c015eb08>] suspend_enter+0x44/0x46
Sep 24 15:46:31 localhost kernel:  [<c015ea6a>] suspend_prepare+0x63/0xbd
Sep 24 15:46:31 localhost kernel:  [<c015eb7e>] enter_state+0x49/0x54
Sep 24 15:46:31 localhost kernel:  [<c015ec79>] state_store+0x81/0x8f
Sep 24 15:46:31 localhost kernel:  [<c015ebf8>] state_store+0x0/0x8f
Sep 24 15:46:31 localhost kernel:  [<c020f25a>] subsys_attr_store+0x1e/0x22
Sep 24 15:46:31 localhost kernel:  [<c020f464>] flush_write_buffer+0x22/0x28
Sep 24 15:46:31 localhost kernel:  [<c020f4b8>] sysfs_write_file+0x4e/0x73
Sep 24 15:46:31 localhost kernel:  [<c020f46a>] sysfs_write_file+0x0/0x73
Sep 24 15:46:31 localhost kernel:  [<c01a1027>] vfs_write+0xa2/0x15a
Sep 24 15:46:31 localhost kernel:  [<c01a118a>] sys_write+0x41/0x6a
Sep 24 15:46:31 localhost kernel:  [<c0104465>] syscall_call+0x7/0xb

Comment 6 Dave Jones 2005-09-30 03:17:19 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 7 Richard Kennedy 2005-10-05 10:49:33 EDT
with 1526_FC4
I'm still seeing the debug message on resume

Oct  5 15:28:32 localhost kernel: Debug: sleeping function called from invalid
context at mm/slab.c:2129
Oct  5 15:28:32 localhost kernel: in_atomic():0, irqs_disabled():1
Oct  5 15:28:32 localhost kernel:  [<c0176913>] kmem_cache_alloc+0x3c/0x4e
Oct  5 15:28:32 localhost kernel:  [<c029927a>] acpi_pci_link_set+0x3f/0x17f
Oct  5 15:28:32 localhost kernel:  [<c02997e2>] irqrouter_resume+0x1e/0x3c
Oct  5 15:28:32 localhost kernel:  [<c02e792d>] sysdev_resume+0x3d/0xb5
.... (truncated)

I'm still seeing some intermitent issues with acpi events & batstat. It works
most of the time but sometimes batstat fails to read the acpi battery state and
gets stuck reporting N/A, and sometimes it recovers and start working correctly.
Also the acpi events (HOTKEY etc) stop being delivered.
I'm not seeing any messages, and cannot trigger the fault -- it sometimes just
happens. I'm guessing (wildly) a concurrency / locking isssue somewhere but I
don't know where to look or how to create a test for it. Any ideas ?
 
Comment 8 Michal Jaegermann 2005-10-06 13:33:27 EDT
Ok, here is a non-truncated message produced by kernel-2.6.13-1.1526_FC4.i686

Back to C!
Debug: sleeping function called from invalid context at mm/slab.c:2129
in_atomic():0, irqs_disabled():1
 [<c0176913>] kmem_cache_alloc+0x3c/0x4e
 [<c029927a>] acpi_pci_link_set+0x3f/0x17f
 [<c02997e2>] irqrouter_resume+0x1e/0x3c
 [<c02e792d>] sysdev_resume+0x3d/0xb5
 [<c02ec261>] device_power_up+0x5/0xa
 [<c015eaf8>] suspend_enter+0x44/0x46
 [<c015ea5a>] suspend_prepare+0x63/0xbd
 [<c015eb6e>] enter_state+0x49/0x54
 [<c015ec69>] state_store+0x81/0x8f
 [<c015ebe8>] state_store+0x0/0x8f
 [<c020f24a>] subsys_attr_store+0x1e/0x22
 [<c020f454>] flush_write_buffer+0x22/0x28
 [<c020f4a8>] sysfs_write_file+0x4e/0x73
 [<c020f45a>] sysfs_write_file+0x0/0x73
 [<c01a1017>] vfs_write+0xa2/0x15a
 [<c01a117a>] sys_write+0x41/0x6a
 [<c0104465>] syscall_call+0x7/0xb

It seems to be recorded every (?) time when a laptop comes back from an S3 sleep.
Comment 9 Dave Jones 2005-10-06 16:22:35 EDT

*** This bug has been marked as a duplicate of 154056 ***
Comment 10 Dave Jones 2005-10-06 16:38:03 EDT

*** This bug has been marked as a duplicate of 154046 ***

Note You need to log in before you can comment on or make changes to this bug.